#-----------------------------------------------------------------------------
#
# DICOMConfig.cmake - cmake configuration file for external projects.
#
#-----------------------------------------------------------------------------


# The C and C++ flags added to the cmake-configured flags.
set(DICOM_REQUIRED_C_FLAGS "")
set(DICOM_REQUIRED_CXX_FLAGS "")

# The version number
set(DICOM_MAJOR_VERSION "0")
set(DICOM_MINOR_VERSION "5")
set(DICOM_BUILD_VERSION "5")

# Configured settings
set(DICOM_BUILD_SHARED_LIBS "ON")
set(DICOM_USE_GDCM "ON")
set(DICOM_USE_DCMTK "OFF")

# Auto-configured settings
set(DICOM_USE_VTKZLIB "ON")

# Dependencies
set(DICOM_VTK_DIR "/usr/lib/vtk-5.8")
if(DICOM_USE_GDCM)
  set(DICOM_GDCM_DIR "/usr/lib/i386-linux-gnu/gdcm-2.4")
endif()

# Get the current directory
get_filename_component(DICOM_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# The location of the "use" file.
set(DICOM_USE_FILE "${DICOM_CMAKE_DIR}/UseDICOM.cmake")

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT TARGET vtkDICOM AND NOT DICOM_BINARY_DIR)
  include("${DICOM_CMAKE_DIR}/DICOMTargets.cmake")
endif()

# Compute paths
set(DICOM_INCLUDE_DIRS "${DICOM_CMAKE_DIR}/../../../../include")
set(DICOM_LIBRARY_DIRS "${DICOM_CMAKE_DIR}/../../")

# These are IMPORTED targets created by DICOMTargets.cmake
set(DICOM_LIBRARIES vtkDICOM)
